Commits

Evgeny Podjachev committed 4a1ed13

Updated.

Comments (0)

Files changed (165)

.vim/bundle/cpp-vim/.git/FETCH_HEAD

+29b392bf4e2de4c55315a6d9488497af5f19b840		branch 'master' of https://github.com/vim-jp/cpp-vim
+444f34959dfa0b10447408e58b737bf5cf71b40f	not-for-merge	branch 'fix_nested_lambda' of https://github.com/vim-jp/cpp-vim

.vim/bundle/cpp-vim/.git/HEAD

+ref: refs/heads/master

.vim/bundle/cpp-vim/.git/ORIG_HEAD

+29b392bf4e2de4c55315a6d9488497af5f19b840

.vim/bundle/cpp-vim/.git/config

+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	fetch = +refs/heads/*:refs/remotes/origin/*
+	url = https://github.com/vim-jp/cpp-vim.git
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master

.vim/bundle/cpp-vim/.git/description

+Unnamed repository; edit this file 'description' to name the repository.

.vim/bundle/cpp-vim/.git/hooks/applypatch-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:

.vim/bundle/cpp-vim/.git/hooks/commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

.vim/bundle/cpp-vim/.git/hooks/post-update.sample

+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

.vim/bundle/cpp-vim/.git/hooks/pre-applypatch.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:

.vim/bundle/cpp-vim/.git/hooks/pre-commit.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

.vim/bundle/cpp-vim/.git/hooks/pre-rebase.sample

+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

.vim/bundle/cpp-vim/.git/hooks/prepare-commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

.vim/bundle/cpp-vim/.git/hooks/update.sample

+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

.vim/bundle/cpp-vim/.git/index

Binary file added.

.vim/bundle/cpp-vim/.git/info/exclude

+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

.vim/bundle/cpp-vim/.git/logs/HEAD

+0000000000000000000000000000000000000000 29b392bf4e2de4c55315a6d9488497af5f19b840 evgeny <evgeny.podjachev@gmail.com> 1352029651 +0400	clone: from https://github.com/vim-jp/cpp-vim.git

.vim/bundle/cpp-vim/.git/logs/refs/heads/master

+0000000000000000000000000000000000000000 29b392bf4e2de4c55315a6d9488497af5f19b840 evgeny <evgeny.podjachev@gmail.com> 1352029651 +0400	clone: from https://github.com/vim-jp/cpp-vim.git

.vim/bundle/cpp-vim/.git/logs/refs/remotes/origin/HEAD

+0000000000000000000000000000000000000000 29b392bf4e2de4c55315a6d9488497af5f19b840 evgeny <evgeny.podjachev@gmail.com> 1352029651 +0400	clone: from https://github.com/vim-jp/cpp-vim.git

.vim/bundle/cpp-vim/.git/objects/01/c6bbd863955d34f347aa66a7dc09c81f07592a

Binary file added.

.vim/bundle/cpp-vim/.git/objects/05/40e09b115c800329e267937710a5a11b8f0768

Binary file added.

.vim/bundle/cpp-vim/.git/objects/0e/c44bcaf5e63d31359d5ff2fd82e7d14c39e9e2

+xeP�J1��4P�x(�T<���x�����H6/$�V�޷t=	�d�̼��i��x��Kis�1�/���G��X��\p�u��z�ݢL)I�ggUt��

.vim/bundle/cpp-vim/.git/objects/10/05f34639a598b7f963afa34ea7277ed0dfa428

Binary file added.

.vim/bundle/cpp-vim/.git/objects/10/1fbba238ed47c82a3d7ee26280ce19fd500798

Binary file added.

.vim/bundle/cpp-vim/.git/objects/11/f21ee86c3483319c5854891c9134675621479b

Binary file added.

.vim/bundle/cpp-vim/.git/objects/12/4104bc6c3a8b3458d175f58a5683de707fc6af

Binary file added.

.vim/bundle/cpp-vim/.git/objects/12/c103d17c47f2cb4c6eaac39ccf5825ea0e7030

Binary file added.

.vim/bundle/cpp-vim/.git/objects/12/ca6ba0b866f3f4ea6dcde56c2c27062dc40788

Binary file added.

.vim/bundle/cpp-vim/.git/objects/18/5a92dcda8c22c2331fc3d4bd0d6b11e15111b0

Binary file added.

.vim/bundle/cpp-vim/.git/objects/1b/4c1d2b97516a7d9cb8c58910b7bef97d68d5e0

Binary file added.

.vim/bundle/cpp-vim/.git/objects/1e/25c9c9f211a041d87bd03180409c8de133a42b

Binary file added.

.vim/bundle/cpp-vim/.git/objects/25/2904a992310d6f030e6d70032efa977db20a03

Binary file added.

.vim/bundle/cpp-vim/.git/objects/28/698f630225e5d4cd4935fa6d369708a9fb360d

Binary file added.

.vim/bundle/cpp-vim/.git/objects/29/b392bf4e2de4c55315a6d9488497af5f19b840

Binary file added.

.vim/bundle/cpp-vim/.git/objects/2e/a540101018e79d316e27dcda0f34b222a0a60c

Binary file added.

.vim/bundle/cpp-vim/.git/objects/2e/c90c9dd2beb9c7b5632aaee29fecca02b5ac3e

Binary file added.

.vim/bundle/cpp-vim/.git/objects/35/113a706be599299c96659b76f464fdb89e98c4

Binary file added.

.vim/bundle/cpp-vim/.git/objects/44/188a369e30c4afdd98a46a6be0ddafbcc1135e

Binary file added.

.vim/bundle/cpp-vim/.git/objects/44/4f34959dfa0b10447408e58b737bf5cf71b40f

Binary file added.

.vim/bundle/cpp-vim/.git/objects/46/a8d2aa57ec945802208a097a9c602eea3b7a3c

+x�N�J�0�9_��P�ͭe��h�i�
+�Ri�S6���u����:�N�

.vim/bundle/cpp-vim/.git/objects/49/78a8e6ce8695872d6745a17aa0dc784a572f89

Binary file added.

.vim/bundle/cpp-vim/.git/objects/4b/089f2bc44d18955ec4edcc4a6bc30f5ef70cd9

Binary file added.

.vim/bundle/cpp-vim/.git/objects/56/4d30dc828d2ac26adf30ebabebb823b1c2a7ab

Binary file added.

.vim/bundle/cpp-vim/.git/objects/5c/a8701989f65e8c45752402c269a4c8ca3e9230

Binary file added.

.vim/bundle/cpp-vim/.git/objects/68/b7c38af6663a84eee125deecb5abcb9c8aa05b

Binary file added.

.vim/bundle/cpp-vim/.git/objects/69/123bcf0afecb1dbfb2c82e37c0cf723856127d

Binary file added.

.vim/bundle/cpp-vim/.git/objects/6b/50088d2734d657640ed92c2033ec044c6dfd48

+xe�1O�0���+�Ա��b���J�N �\�Kc��"�i˿碆	����w�}v
+3���J�Q4�N��S:�-^�Z;�9��Щ:r6��j܀2�^ڢR���P��C@#��Ǣ�S���d��}k�;�:��~,83�$_��B�j��4ǚ_ˁ�J

.vim/bundle/cpp-vim/.git/objects/6e/26d3f6128f69783c65590846a6cce89899ae21

Binary file added.

.vim/bundle/cpp-vim/.git/objects/6f/99004e3cbd81a499d84ca4ecceed71c5b30c5f

Binary file added.

.vim/bundle/cpp-vim/.git/objects/71/370779c57cccb6ff28d4d1d68283bc87c96bea

+x��AJ1E]���I'����n����TOG;�C&��F�Ëهp�y<
+�}��F�;��c-�t)��g�oz|/U��
+<_+�z�>�`m���h褍����.�SSo��.��Ri�#��މlWQ�6]�

.vim/bundle/cpp-vim/.git/objects/73/1ef5fa3516f9d5babb64ab99e38bc398849a57

Binary file added.

.vim/bundle/cpp-vim/.git/objects/75/fcda4d5818676a5a560f4ccf48a24fd7744c87

Binary file added.

.vim/bundle/cpp-vim/.git/objects/77/f6e0a13c6f11fd551e8ca7ea084e9f2a99fc41

Binary file added.

.vim/bundle/cpp-vim/.git/objects/78/fc7c858df42de16739a48a0fd33f6ef4bac388

Binary file added.

.vim/bundle/cpp-vim/.git/objects/79/a762e9cb1fd3ac9b424ebd45a1c6435e652bac

Binary file added.

.vim/bundle/cpp-vim/.git/objects/7c/e82d50bbe86df8203e2aae787ed2afec0ca75e

Binary file added.

.vim/bundle/cpp-vim/.git/objects/8a/96aaee5f79b73abd654720aa89319df9bce991

Binary file added.

.vim/bundle/cpp-vim/.git/objects/92/a56bf8548ca66913a8688ff470305c5684528e

Binary file added.

.vim/bundle/cpp-vim/.git/objects/9c/f2b762f3383c5a6722699add52b269262607f7

Binary file added.

.vim/bundle/cpp-vim/.git/objects/9d/d199fd777b516fb83599f364dc65005ae16a7a

Binary file added.

.vim/bundle/cpp-vim/.git/objects/9e/27bc6c90a76e14dc58f30b3bc264dbf1f6ba55

Binary file added.

.vim/bundle/cpp-vim/.git/objects/a1/b747c72efb35056aaa03c216fc1a6a03e76ace

Binary file added.

.vim/bundle/cpp-vim/.git/objects/a4/1be53df43cb618b7b52e38dbe9a0f432052ae5

Binary file added.

.vim/bundle/cpp-vim/.git/objects/a6/60f731e202bf5f42c34f4efa278d4aa0f4e334

Binary file added.

.vim/bundle/cpp-vim/.git/objects/c4/5f351a076a77d10591b20f291e3ffc19ac15f4

Binary file added.

.vim/bundle/cpp-vim/.git/objects/cc/7ea554dd6b0a266853acfec43de1c0a45dda01

Binary file added.

.vim/bundle/cpp-vim/.git/objects/d8/4b58183b6a179bfc5c71e091d73d505adc50c4

Binary file added.

.vim/bundle/cpp-vim/.git/objects/e0/db413a98c7ef09b1f209dad1540546c29d6416

Binary file added.

.vim/bundle/cpp-vim/.git/objects/e9/cd04ea1e6fffd604c5f1ad3652bbe077022d30

Binary file added.

.vim/bundle/cpp-vim/.git/objects/ec/95020e22371f64cc50b273353f0cdc8d29a52d

Binary file added.

.vim/bundle/cpp-vim/.git/objects/ee/ec53bc242f64ac4bd9c366c5d8afae4467e66a

Binary file added.

.vim/bundle/cpp-vim/.git/objects/f0/d54c09d562c101ce070f2c1436097f22ae670a

Binary file added.

.vim/bundle/cpp-vim/.git/objects/f1/f658c5674832fad8ed0eb793aaf7db642ea145

Binary file added.

.vim/bundle/cpp-vim/.git/objects/f5/19a9ceebc7405052b9f75557b9be63dd25f885

+x��Aj�0

.vim/bundle/cpp-vim/.git/objects/f7/4f3bbf18ceacf2b158109d59535e92f788710e

Binary file added.

.vim/bundle/cpp-vim/.git/objects/f8/eb47adc8ebbe783428006352e2112f1baa581a

Binary file added.

.vim/bundle/cpp-vim/.git/objects/fc/efb234ba88b9d30a69d8ee30ccb58a79e161b2

Binary file added.

.vim/bundle/cpp-vim/.git/objects/fd/41e4adf05bc620e85220c747ea53c2e2ca9ed2

Binary file added.

.vim/bundle/cpp-vim/.git/objects/fe/b89ee614ef497582f71c6a7feeb9f687df14a6

Binary file added.

.vim/bundle/cpp-vim/.git/objects/ff/c0bad5c464e4658a705ab950f6c4e1f92ce949

Binary file added.

.vim/bundle/cpp-vim/.git/packed-refs

+# pack-refs with: peeled 
+444f34959dfa0b10447408e58b737bf5cf71b40f refs/remotes/origin/fix_nested_lambda
+29b392bf4e2de4c55315a6d9488497af5f19b840 refs/remotes/origin/master

.vim/bundle/cpp-vim/.git/refs/heads/master

+29b392bf4e2de4c55315a6d9488497af5f19b840

.vim/bundle/cpp-vim/.git/refs/remotes/origin/HEAD

+ref: refs/remotes/origin/master

.vim/bundle/cpp-vim/README.mkd

+# cpp-vim
+
+This is Vim syntax files with C++11 support. `c.vim` is based on Bram Moolenaar
+<Bram@vim.org> and `cpp.vim` is based on Ken Shan <ccshan@post.harvard.edu>.
+
+## License
+
+License of original files conform to author of them. Enhancement of changes
+are licensed as VIM license. `vim-jp` will do maintenance of those files if
+possible. But we contribute this changes to VIM.

.vim/bundle/cpp-vim/syntax/c.vim

+" Vim syntax file
+" Language:	C
+" Maintainer:	Bram Moolenaar <Bram@vim.org>
+" Last Change:	2012 Jun 14
+
+" Quit when a (custom) syntax file was already loaded
+if exists("b:current_syntax")
+  finish
+endif
+
+let s:cpo_save = &cpo
+set cpo&vim
+
+" A bunch of useful C keywords
+syn keyword	cStatement	goto break return continue asm
+syn keyword	cLabel		case default
+syn keyword	cConditional	if else switch
+syn keyword	cRepeat		while for do
+
+syn keyword	cTodo		contained TODO FIXME XXX
+
+" It's easy to accidentally add a space after a backslash that was intended
+" for line continuation.  Some compilers allow it, which makes it
+" unpredicatable and should be avoided.
+syn match	cBadContinuation contained "\\\s\+$"
+
+" cCommentGroup allows adding matches for special things in comments
+syn cluster	cCommentGroup	contains=cTodo,cBadContinuation
+
+" String and Character constants
+" Highlight special characters (those which have a backslash) differently
+syn match	cSpecial	display contained "\\\(x\x\+\|\o\{1,3}\|.\|$\)"
+if !exists("c_no_utf")
+  syn match	cSpecial	display contained "\\\(u\x\{4}\|U\x\{8}\)"
+endif
+if exists("c_no_cformat")
+  syn region	cString		start=+L\="+ skip=+\\\\\|\\"+ end=+"+ contains=cSpecial,@Spell extend
+  " cCppString: same as cString, but ends at end of line
+  if !exists("cpp_no_cpp11") " ISO C++11
+    syn region cCppString	start=+\(L\|u\|u8\|U\|R\|LR\|u8R\|uR\|UR\)\="+ skip=+\\\\\|\\"\|\\$+ excludenl end=+"+ end='$' contains=cSpecial,cFormat,@Spell
+  else
+    syn region cCppString	start=+L\="+ skip=+\\\\\|\\"\|\\$+ excludenl end=+"+ end='$' contains=cSpecial,cFormat,@Spell
+  endif
+else
+  if !exists("c_no_c99") " ISO C99
+    syn match	cFormat		display "%\(\d\+\$\)\=[-+' #0*]*\(\d*\|\*\|\*\d\+\$\)\(\.\(\d*\|\*\|\*\d\+\$\)\)\=\([hlLjzt]\|ll\|hh\)\=\([aAbdiuoxXDOUfFeEgGcCsSpn]\|\[\^\=.[^]]*\]\)" contained
+  else
+    syn match	cFormat		display "%\(\d\+\$\)\=[-+' #0*]*\(\d*\|\*\|\*\d\+\$\)\(\.\(\d*\|\*\|\*\d\+\$\)\)\=\([hlL]\|ll\)\=\([bdiuoxXDOUfeEgGcCsSpn]\|\[\^\=.[^]]*\]\)" contained
+  endif
+  syn match	cFormat		display "%%" contained
+  syn region	cString		start=+L\="+ skip=+\\\\\|\\"+ end=+"+ contains=cSpecial,cFormat,@Spell extend
+  " cCppString: same as cString, but ends at end of line
+  syn region	cCppString	start=+L\="+ skip=+\\\\\|\\"\|\\$+ excludenl end=+"+ end='$' contains=cSpecial,cFormat,@Spell
+endif
+
+syn match	cCharacter	"L\='[^\\]'"
+syn match	cCharacter	"L'[^']*'" contains=cSpecial
+if exists("c_gnu")
+  syn match	cSpecialError	"L\='\\[^'\"?\\abefnrtv]'"
+  syn match	cSpecialCharacter "L\='\\['\"?\\abefnrtv]'"
+else
+  syn match	cSpecialError	"L\='\\[^'\"?\\abfnrtv]'"
+  syn match	cSpecialCharacter "L\='\\['\"?\\abfnrtv]'"
+endif
+syn match	cSpecialCharacter display "L\='\\\o\{1,3}'"
+syn match	cSpecialCharacter display "'\\x\x\{1,2}'"
+syn match	cSpecialCharacter display "L'\\x\x\+'"
+
+if !exists("c_no_c11") " ISO C11
+  if exists("c_no_cformat")
+    syn region	cString		start=+\%(U\|u8\=\)"+ skip=+\\\\\|\\"+ end=+"+ contains=cSpecial,@Spell extend
+  else
+    syn region	cString		start=+\%(U\|u8\=\)"+ skip=+\\\\\|\\"+ end=+"+ contains=cSpecial,cFormat,@Spell extend
+  endif
+  syn match	cCharacter	"[Uu]'[^\\]'"
+  syn match	cCharacter	"[Uu]'[^']*'" contains=cSpecial
+  if exists("c_gnu")
+    syn match	cSpecialError	"[Uu]'\\[^'\"?\\abefnrtv]'"
+    syn match	cSpecialCharacter "[Uu]'\\['\"?\\abefnrtv]'"
+  else
+    syn match	cSpecialError	"[Uu]'\\[^'\"?\\abfnrtv]'"
+    syn match	cSpecialCharacter "[Uu]'\\['\"?\\abfnrtv]'"
+  endif
+  syn match	cSpecialCharacter display "[Uu]'\\\o\{1,3}'"
+  syn match	cSpecialCharacter display "[Uu]'\\x\x\+'"
+endif
+
+"when wanted, highlight trailing white space
+if exists("c_space_errors")
+  if !exists("c_no_trail_space_error")
+    syn match	cSpaceError	display excludenl "\s\+$"
+  endif
+  if !exists("c_no_tab_space_error")
+    syn match	cSpaceError	display " \+\t"me=e-1
+  endif
+endif
+
+" This should be before cErrInParen to avoid problems with #define ({ xxx })
+if exists("c_curly_error")
+  syntax match cCurlyError "}"
+  syntax region	cBlock		start="{" end="}" contains=ALLBUT,cBadBlock,cCurlyError,@cParenGroup,cErrInParen,cCppParen,cErrInBracket,cCppBracket,cCppString,@Spell fold
+else
+  syntax region	cBlock		start="{" end="}" transparent fold
+endif
+
+"catch errors caused by wrong parenthesis and brackets
+" also accept <% for {, %> for }, <: for [ and :> for ] (C99)
+" But avoid matching <::.
+syn cluster	cParenGroup	contains=cParenError,cIncluded,cSpecial,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cUserCont,cUserLabel,cBitField,cOctalZero,@cCppOutInGroup,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom
+if exists("c_no_curly_error")
+  syn region	cParen		transparent start='(' end=')' end='}'me=s-1 contains=ALLBUT,cBlock,@cParenGroup,cCppParen,cCppString,@Spell
+  " cCppParen: same as cParen but ends at end-of-line; used in cDefine
+  syn region	cCppParen	transparent start='(' skip='\\$' excludenl end=')' end='$' contained contains=ALLBUT,@cParenGroup,cParen,cString,@Spell
+  syn match	cParenError	display ")"
+  syn match	cErrInParen	display contained "^[{}]\|^<%\|^%>"
+elseif exists("c_no_bracket_error")
+  syn region	cParen		transparent start='(' end=')' end='}'me=s-1 contains=ALLBUT,cBlock,@cParenGroup,cCppParen,cCppString,@Spell
+  " cCppParen: same as cParen but ends at end-of-line; used in cDefine
+  syn region	cCppParen	transparent start='(' skip='\\$' excludenl end=')' end='$' contained contains=ALLBUT,@cParenGroup,cParen,cString,@Spell
+  syn match	cParenError	display ")"
+  syn match	cErrInParen	display contained "[{}]\|<%\|%>"
+else
+  syn region	cParen		transparent start='(' end=')' end='}'me=s-1 contains=ALLBUT,cBlock,@cParenGroup,cCppParen,cErrInBracket,cCppBracket,cCppString,@Spell
+  " cCppParen: same as cParen but ends at end-of-line; used in cDefine
+  syn region	cCppParen	transparent start='(' skip='\\$' excludenl end=')' end='$' contained contains=ALLBUT,@cParenGroup,cErrInBracket,cParen,cBracket,cString,@Spell
+  syn match	cParenError	display "[\])]"
+  if &filetype ==# 'cpp' && !exists("cpp_no_cpp11")
+    syn match	cErrInParen	display contained "[\]]\|<%\|%>"
+  else
+    syn match	cErrInParen	display contained "[\]{}]\|<%\|%>"
+  endif
+  syn region	cBracket	transparent start='\[\|<::\@!' end=']\|:>' end='}'me=s-1 contains=ALLBUT,cBlock,@cParenGroup,cErrInParen,cCppParen,cCppBracket,cCppString,@Spell
+  " cCppBracket: same as cParen but ends at end-of-line; used in cDefine
+  syn region	cCppBracket	transparent start='\[\|<::\@!' skip='\\$' excludenl end=']\|:>' end='$' contained contains=ALLBUT,@cParenGroup,cErrInParen,cParen,cBracket,cString,@Spell
+  syn match	cErrInBracket	display contained "[);{}]\|<%\|%>"
+endif
+
+if &filetype ==# 'cpp' && !exists("cpp_no_cpp11")
+  syntax region	cBadBlock		start="{" end="}" transparent fold
+else
+  syntax region	cBadBlock	keepend start="{" end="}" contained containedin=cParen,cBracket,cBadBlock transparent fold
+endif
+
+"integer number, or floating point number without a dot and with "f".
+syn case ignore
+syn match	cNumbers	display transparent "\<\d\|\.\d" contains=cNumber,cFloat,cOctalError,cOctal
+" Same, but without octal error (for comments)
+syn match	cNumbersCom	display contained transparent "\<\d\|\.\d" contains=cNumber,cFloat,cOctal
+syn match	cNumber		display contained "\d\+\(u\=l\{0,2}\|ll\=u\)\>"
+"hex number
+syn match	cNumber		display contained "0x\x\+\(u\=l\{0,2}\|ll\=u\)\>"
+" Flag the first zero of an octal number as something special
+syn match	cOctal		display contained "0\o\+\(u\=l\{0,2}\|ll\=u\)\>" contains=cOctalZero
+syn match	cOctalZero	display contained "\<0"
+syn match	cFloat		display contained "\d\+f"
+"floating point number, with dot, optional exponent
+syn match	cFloat		display contained "\d\+\.\d*\(e[-+]\=\d\+\)\=[fl]\="
+"floating point number, starting with a dot, optional exponent
+syn match	cFloat		display contained "\.\d\+\(e[-+]\=\d\+\)\=[fl]\=\>"
+"floating point number, without dot, with exponent
+syn match	cFloat		display contained "\d\+e[-+]\=\d\+[fl]\=\>"
+if !exists("c_no_c99")
+  "hexadecimal floating point number, optional leading digits, with dot, with exponent
+  syn match	cFloat		display contained "0x\x*\.\x\+p[-+]\=\d\+[fl]\=\>"
+  "hexadecimal floating point number, with leading digits, optional dot, with exponent
+  syn match	cFloat		display contained "0x\x\+\.\=p[-+]\=\d\+[fl]\=\>"
+endif
+
+" flag an octal number with wrong digits
+syn match	cOctalError	display contained "0\o*[89]\d*"
+syn case match
+
+if exists("c_comment_strings")
+  " A comment can contain cString, cCharacter and cNumber.
+  " But a "*/" inside a cString in a cComment DOES end the comment!  So we
+  " need to use a special type of cString: cCommentString, which also ends on
+  " "*/", and sees a "*" at the start of the line as comment again.
+  " Unfortunately this doesn't very well work for // type of comments :-(
+  syntax match	cCommentSkip	contained "^\s*\*\($\|\s\+\)"
+  syntax region cCommentString	contained start=+L\=\\\@<!"+ skip=+\\\\\|\\"+ end=+"+ end=+\*/+me=s-1 contains=cSpecial,cCommentSkip
+  syntax region cComment2String	contained start=+L\=\\\@<!"+ skip=+\\\\\|\\"+ end=+"+ end="$" contains=cSpecial
+  syntax region  cCommentL	start="//" skip="\\$" end="$" keepend contains=@cCommentGroup,cComment2String,cCharacter,cNumbersCom,cSpaceError,@Spell
+  if exists("c_no_comment_fold")
+    " Use "extend" here to have preprocessor lines not terminate halfway a
+    " comment.
+    syntax region cComment	matchgroup=cCommentStart start="/\*" end="\*/" contains=@cCommentGroup,cCommentStartError,cCommentString,cCharacter,cNumbersCom,cSpaceError,@Spell extend
+  else
+    syntax region cComment	matchgroup=cCommentStart start="/\*" end="\*/" contains=@cCommentGroup,cCommentStartError,cCommentString,cCharacter,cNumbersCom,cSpaceError,@Spell fold extend
+  endif
+else
+  syn region	cCommentL	start="//" skip="\\$" end="$" keepend contains=@cCommentGroup,cSpaceError,@Spell
+  if exists("c_no_comment_fold")
+    syn region	cComment	matchgroup=cCommentStart start="/\*" end="\*/" contains=@cCommentGroup,cCommentStartError,cSpaceError,@Spell extend
+  else
+    syn region	cComment	matchgroup=cCommentStart start="/\*" end="\*/" contains=@cCommentGroup,cCommentStartError,cSpaceError,@Spell fold extend
+  endif
+endif
+" keep a // comment separately, it terminates a preproc. conditional
+syntax match	cCommentError	display "\*/"
+syntax match	cCommentStartError display "/\*"me=e-1 contained
+
+syn keyword	cOperator	sizeof
+if exists("c_gnu")
+  syn keyword	cStatement	__asm__
+  syn keyword	cOperator	typeof __real__ __imag__
+endif
+syn keyword	cType		int long short char void
+syn keyword	cType		signed unsigned float double
+if !exists("c_no_ansi") || exists("c_ansi_typedefs")
+  syn keyword   cType		size_t ssize_t off_t wchar_t ptrdiff_t sig_atomic_t fpos_t
+  syn keyword   cType		clock_t time_t va_list jmp_buf FILE DIR div_t ldiv_t
+  syn keyword   cType		mbstate_t wctrans_t wint_t wctype_t
+endif
+if !exists("c_no_c99") " ISO C99
+  syn keyword	cType		_Bool bool _Complex complex _Imaginary imaginary
+  syn keyword	cType		int8_t int16_t int32_t int64_t
+  syn keyword	cType		uint8_t uint16_t uint32_t uint64_t
+  syn keyword	cType		int_least8_t int_least16_t int_least32_t int_least64_t
+  syn keyword	cType		uint_least8_t uint_least16_t uint_least32_t uint_least64_t
+  syn keyword	cType		int_fast8_t int_fast16_t int_fast32_t int_fast64_t
+  syn keyword	cType		uint_fast8_t uint_fast16_t uint_fast32_t uint_fast64_t
+  syn keyword	cType		intptr_t uintptr_t
+  syn keyword	cType		intmax_t uintmax_t
+endif
+if exists("c_gnu")
+  syn keyword	cType		__label__ __complex__ __volatile__
+endif
+
+syn keyword	cStructure	struct union enum typedef
+syn keyword	cStorageClass	static register auto volatile extern const
+if exists("c_gnu")
+  syn keyword	cStorageClass	inline __attribute__
+endif
+if !exists("c_no_c99")
+  syn keyword	cStorageClass	inline restrict
+endif
+if !exists("c_no_c11")
+  syn keyword	cStorageClass	_Alignas alignas
+  syn keyword	cOperator	_Alignof alignof
+  syn keyword	cStorageClass	_Atomic
+  syn keyword	cOperator	_Generic
+  syn keyword	cStorageClass	_Noreturn noreturn
+  syn keyword	cOperator	_Static_assert static_assert
+  syn keyword	cStorageClass	_Thread_local thread_local
+  syn keyword   cType		char16_t char32_t
+endif
+
+if !exists("c_no_ansi") || exists("c_ansi_constants") || exists("c_gnu")
+  if exists("c_gnu")
+    syn keyword cConstant __GNUC__ __FUNCTION__ __PRETTY_FUNCTION__ __func__
+  endif
+  syn keyword cConstant __LINE__ __FILE__ __DATE__ __TIME__ __STDC__
+  syn keyword cConstant __STDC_VERSION__
+  syn keyword cConstant CHAR_BIT MB_LEN_MAX MB_CUR_MAX
+  syn keyword cConstant UCHAR_MAX UINT_MAX ULONG_MAX USHRT_MAX
+  syn keyword cConstant CHAR_MIN INT_MIN LONG_MIN SHRT_MIN
+  syn keyword cConstant CHAR_MAX INT_MAX LONG_MAX SHRT_MAX
+  syn keyword cConstant SCHAR_MIN SINT_MIN SLONG_MIN SSHRT_MIN
+  syn keyword cConstant SCHAR_MAX SINT_MAX SLONG_MAX SSHRT_MAX
+  if !exists("c_no_c99")
+    syn keyword cConstant __func__
+    syn keyword cConstant LLONG_MIN LLONG_MAX ULLONG_MAX
+    syn keyword cConstant INT8_MIN INT16_MIN INT32_MIN INT64_MIN
+    syn keyword cConstant INT8_MAX INT16_MAX INT32_MAX INT64_MAX
+    syn keyword cConstant UINT8_MAX UINT16_MAX UINT32_MAX UINT64_MAX
+    syn keyword cConstant INT_LEAST8_MIN INT_LEAST16_MIN INT_LEAST32_MIN INT_LEAST64_MIN
+    syn keyword cConstant INT_LEAST8_MAX INT_LEAST16_MAX INT_LEAST32_MAX INT_LEAST64_MAX
+    syn keyword cConstant UINT_LEAST8_MAX UINT_LEAST16_MAX UINT_LEAST32_MAX UINT_LEAST64_MAX
+    syn keyword cConstant INT_FAST8_MIN INT_FAST16_MIN INT_FAST32_MIN INT_FAST64_MIN
+    syn keyword cConstant INT_FAST8_MAX INT_FAST16_MAX INT_FAST32_MAX INT_FAST64_MAX
+    syn keyword cConstant UINT_FAST8_MAX UINT_FAST16_MAX UINT_FAST32_MAX UINT_FAST64_MAX
+    syn keyword cConstant INTPTR_MIN INTPTR_MAX UINTPTR_MAX
+    syn keyword cConstant INTMAX_MIN INTMAX_MAX UINTMAX_MAX
+    syn keyword cConstant PTRDIFF_MIN PTRDIFF_MAX SIG_ATOMIC_MIN SIG_ATOMIC_MAX
+    syn keyword cConstant SIZE_MAX WCHAR_MIN WCHAR_MAX WINT_MIN WINT_MAX
+  endif
+  syn keyword cConstant FLT_RADIX FLT_ROUNDS
+  syn keyword cConstant FLT_DIG FLT_MANT_DIG FLT_EPSILON
+  syn keyword cConstant DBL_DIG DBL_MANT_DIG DBL_EPSILON
+  syn keyword cConstant LDBL_DIG LDBL_MANT_DIG LDBL_EPSILON
+  syn keyword cConstant FLT_MIN FLT_MAX FLT_MIN_EXP FLT_MAX_EXP
+  syn keyword cConstant FLT_MIN_10_EXP FLT_MAX_10_EXP
+  syn keyword cConstant DBL_MIN DBL_MAX DBL_MIN_EXP DBL_MAX_EXP
+  syn keyword cConstant DBL_MIN_10_EXP DBL_MAX_10_EXP
+  syn keyword cConstant LDBL_MIN LDBL_MAX LDBL_MIN_EXP LDBL_MAX_EXP
+  syn keyword cConstant LDBL_MIN_10_EXP LDBL_MAX_10_EXP
+  syn keyword cConstant HUGE_VAL CLOCKS_PER_SEC NULL
+  syn keyword cConstant LC_ALL LC_COLLATE LC_CTYPE LC_MONETARY
+  syn keyword cConstant LC_NUMERIC LC_TIME
+  syn keyword cConstant SIG_DFL SIG_ERR SIG_IGN
+  " Add POSIX signals as well...
+  syn keyword cConstant SIGABRT SIGALRM SIGCHLD SIGCONT SIGFPE SIGHUP
+  syn keyword cConstant SIGILL SIGINT SIGKILL SIGPIPE SIGQUIT SIGSEGV
+  syn keyword cConstant SIGSTOP SIGTERM SIGTRAP SIGTSTP SIGTTIN SIGTTOU
+  syn keyword cConstant SIGUSR1 SIGUSR2
+  syn keyword cConstant _IOFBF _IOLBF _IONBF BUFSIZ EOF WEOF
+  syn keyword cConstant FOPEN_MAX FILENAME_MAX L_tmpnam
+  syn keyword cConstant SEEK_CUR SEEK_END SEEK_SET
+  syn keyword cConstant TMP_MAX stderr stdin stdout
+  syn keyword cConstant EXIT_FAILURE EXIT_SUCCESS RAND_MAX
+  " Add POSIX errors as well
+  syn keyword cConstant E2BIG EACCES EAGAIN EBADF EBADMSG EBUSY
+  syn keyword cConstant ECANCELED ECHILD EDEADLK EDOM EEXIST EFAULT
+  syn keyword cConstant EFBIG EILSEQ EINPROGRESS EINTR EINVAL EIO EISDIR
+  syn keyword cConstant EMFILE EMLINK EMSGSIZE ENAMETOOLONG ENFILE ENODEV
+  syn keyword cConstant ENOENT ENOEXEC ENOLCK ENOMEM ENOSPC ENOSYS
+  syn keyword cConstant ENOTDIR ENOTEMPTY ENOTSUP ENOTTY ENXIO EPERM
+  syn keyword cConstant EPIPE ERANGE EROFS ESPIPE ESRCH ETIMEDOUT EXDEV
+  " math.h
+  syn keyword cConstant M_E M_LOG2E M_LOG10E M_LN2 M_LN10 M_PI M_PI_2 M_PI_4
+  syn keyword cConstant M_1_PI M_2_PI M_2_SQRTPI M_SQRT2 M_SQRT1_2
+endif
+if !exists("c_no_c99") " ISO C99
+  syn keyword cConstant true false
+endif
+
+" Accept %: for # (C99)
+syn region	cPreCondit	start="^\s*\(%:\|#\)\s*\(if\|ifdef\|ifndef\|elif\)\>" skip="\\$" end="$" keepend contains=cComment,cCommentL,cCppString,cCharacter,cCppParen,cParenError,cNumbers,cCommentError,cSpaceError
+syn match	cPreConditMatch	display "^\s*\(%:\|#\)\s*\(else\|endif\)\>"
+if !exists("c_no_if0")
+  syn cluster	cCppOutInGroup	contains=cCppInIf,cCppInElse,cCppInElse2,cCppOutIf,cCppOutIf2,cCppOutElse,cCppInSkip,cCppOutSkip
+  syn region	cCppOutWrapper	start="^\s*\(%:\|#\)\s*if\s\+0\+\s*\($\|//\|/\*\|&\)" end=".\@=\|$" contains=cCppOutIf,cCppOutElse fold
+  syn region	cCppOutIf	contained start="0\+" matchgroup=cCppOutWrapper end="^\s*\(%:\|#\)\s*endif\>" contains=cCppOutIf2,cCppOutElse
+  if !exists("c_no_if0_fold")
+    syn region	cCppOutIf2	contained matchgroup=cCppOutWrapper start="0\+" end="^\s*\(%:\|#\)\s*\(else\>\|elif\s\+\(0\+\s*\($\|//\|/\*\|&\)\)\@!\|endif\>\)"me=s-1 contains=cSpaceError,cCppOutSkip fold
+  else
+    syn region	cCppOutIf2	contained matchgroup=cCppOutWrapper start="0\+" end="^\s*\(%:\|#\)\s*\(else\>\|elif\s\+\(0\+\s*\($\|//\|/\*\|&\)\)\@!\|endif\>\)"me=s-1 contains=cSpaceError,cCppOutSkip
+  endif
+  syn region	cCppOutElse	contained matchgroup=cCppOutWrapper start="^\s*\(%:\|#\)\s*\(else\|elif\)" end="^\s*\(%:\|#\)\s*endif\>"me=s-1 contains=TOP,cPreCondit
+  syn region	cCppInWrapper	start="^\s*\(%:\|#\)\s*if\s\+0*[1-9]\d*\s*\($\|//\|/\*\||\)" end=".\@=\|$" contains=cCppInIf,cCppInElse fold
+  syn region	cCppInIf	contained matchgroup=cCppInWrapper start="\d\+" end="^\s*\(%:\|#\)\s*endif\>" contains=TOP,cPreCondit
+  if !exists("c_no_if0_fold")
+    syn region	cCppInElse	contained start="^\s*\(%:\|#\)\s*\(else\>\|elif\s\+\(0*[1-9]\d*\s*\($\|//\|/\*\||\)\)\@!\)" end=".\@=\|$" containedin=cCppInIf contains=cCppInElse2 fold
+  else
+    syn region	cCppInElse	contained start="^\s*\(%:\|#\)\s*\(else\>\|elif\s\+\(0*[1-9]\d*\s*\($\|//\|/\*\||\)\)\@!\)" end=".\@=\|$" containedin=cCppInIf contains=cCppInElse2
+  endif
+  syn region	cCppInElse2	contained matchgroup=cCppInWrapper start="^\s*\(%:\|#\)\s*\(else\|elif\)\([^/]\|/[^/*]\)*" end="^\s*\(%:\|#\)\s*endif\>"me=s-1 contains=cSpaceError,cCppOutSkip
+  syn region	cCppOutSkip	contained start="^\s*\(%:\|#\)\s*\(if\>\|ifdef\>\|ifndef\>\)" skip="\\$" end="^\s*\(%:\|#\)\s*endif\>" contains=cSpaceError,cCppOutSkip
+  syn region	cCppInSkip	contained matchgroup=cCppInWrapper start="^\s*\(%:\|#\)\s*\(if\s\+\(\d\+\s*\($\|//\|/\*\||\|&\)\)\@!\|ifdef\>\|ifndef\>\)" skip="\\$" end="^\s*\(%:\|#\)\s*endif\>" containedin=cCppOutElse,cCppInIf,cCppInSkip contains=TOP,cPreProc
+endif
+syn region	cIncluded	display contained start=+"+ skip=+\\\\\|\\"+ end=+"+
+syn match	cIncluded	display contained "<[^>]*>"
+syn match	cInclude	display "^\s*\(%:\|#\)\s*include\>\s*["<]" contains=cIncluded
+"syn match cLineSkip	"\\$"
+syn cluster	cPreProcGroup	contains=cPreCondit,cIncluded,cInclude,cDefine,cErrInParen,cErrInBracket,cUserLabel,cSpecial,cOctalZero,cCppOutWrapper,cCppInWrapper,@cCppOutInGroup,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cString,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cParen,cBracket,cMulti,cBadBlock
+syn region	cDefine		start="^\s*\(%:\|#\)\s*\(define\|undef\)\>" skip="\\$" end="$" keepend contains=ALLBUT,@cPreProcGroup,@Spell
+syn region	cPreProc	start="^\s*\(%:\|#\)\s*\(pragma\>\|line\>\|warning\>\|warn\>\|error\>\)" skip="\\$" end="$" keepend contains=ALLBUT,@cPreProcGroup,@Spell
+
+" Highlight User Labels
+syn cluster	cMultiGroup	contains=cIncluded,cSpecial,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cUserCont,cUserLabel,cBitField,cOctalZero,cCppOutWrapper,cCppInWrapper,@cCppOutInGroup,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cCppParen,cCppBracket,cCppString
+syn region	cMulti		transparent start='?' skip='::' end=':' contains=ALLBUT,@cMultiGroup,@Spell
+" Avoid matching foo::bar() in C++ by requiring that the next char is not ':'
+syn cluster	cLabelGroup	contains=cUserLabel
+syn match	cUserCont	display "^\s*\I\i*\s*:$" contains=@cLabelGroup
+syn match	cUserCont	display ";\s*\I\i*\s*:$" contains=@cLabelGroup
+syn match	cUserCont	display "^\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
+syn match	cUserCont	display ";\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
+
+syn match	cUserLabel	display "\I\i*" contained
+
+" Avoid recognizing most bitfields as labels
+syn match	cBitField	display "^\s*\I\i*\s*:\s*[1-9]"me=e-1 contains=cType
+syn match	cBitField	display ";\s*\I\i*\s*:\s*[1-9]"me=e-1 contains=cType
+
+if exists("c_minlines")
+  let b:c_minlines = c_minlines
+else
+  if !exists("c_no_if0")
+    let b:c_minlines = 50	" #if 0 constructs can be long
+  else
+    let b:c_minlines = 15	" mostly for () constructs
+  endif
+endif
+if exists("c_curly_error")
+  syn sync fromstart
+else
+  exec "syn sync ccomment cComment minlines=" . b:c_minlines
+endif
+
+" Define the default highlighting.
+" Only used when an item doesn't have highlighting yet
+hi def link cFormat		cSpecial
+hi def link cCppString		cString
+hi def link cCommentL		cComment
+hi def link cCommentStart	cComment
+hi def link cLabel		Label
+hi def link cUserLabel		Label
+hi def link cConditional	Conditional
+hi def link cRepeat		Repeat
+hi def link cCharacter		Character
+hi def link cSpecialCharacter	cSpecial
+hi def link cNumber		Number
+hi def link cOctal		Number
+hi def link cOctalZero		PreProc	 " link this to Error if you want
+hi def link cFloat		Float
+hi def link cOctalError		cError
+hi def link cParenError		cError
+hi def link cErrInParen		cError
+hi def link cErrInBracket	cError
+hi def link cCommentError	cError
+hi def link cCommentStartError	cError
+hi def link cSpaceError		cError
+hi def link cSpecialError	cError
+hi def link cCurlyError		cError
+hi def link cOperator		Operator
+hi def link cStructure		Structure
+hi def link cStorageClass	StorageClass
+hi def link cInclude		Include
+hi def link cPreProc		PreProc
+hi def link cDefine		Macro
+hi def link cIncluded		cString
+hi def link cError		Error
+hi def link cStatement		Statement
+hi def link cCppInWrapper	cCppOutWrapper
+hi def link cCppOutWrapper	cPreCondit
+hi def link cPreConditMatch	cPreCondit
+hi def link cPreCondit		PreCondit
+hi def link cType		Type
+hi def link cConstant		Constant
+hi def link cCommentString	cString
+hi def link cComment2String	cString
+hi def link cCommentSkip	cComment
+hi def link cString		String
+hi def link cComment		Comment
+hi def link cSpecial		SpecialChar
+hi def link cTodo		Todo
+hi def link cBadContinuation	Error
+hi def link cCppOutSkip		cCppOutIf2
+hi def link cCppInElse2		cCppOutIf2
+hi def link cCppOutIf2		cCppOut2  " Old syntax group for #if 0 body
+hi def link cCppOut2		cCppOut  " Old syntax group for #if of #if 0
+hi def link cCppOut		Comment
+
+let b:current_syntax = "c"
+
+let &cpo = s:cpo_save
+unlet s:cpo_save
+" vim: ts=8

.vim/bundle/cpp-vim/syntax/cpp.vim

+" Vim syntax file
+" Language:	C++
+" Current Maintainer:	vim-jp (https://github.com/vim-jp/cpp-vim)
+" Previous Maintainer:	Ken Shan <ccshan@post.harvard.edu>
+" Last Change:	2012 Jun 14
+
+" For version 5.x: Clear all syntax items
+" For version 6.x: Quit when a syntax file was already loaded
+if version < 600
+  syntax clear
+elseif exists("b:current_syntax")
+  finish
+endif
+
+" Read the C syntax to start with
+if version < 600
+  so <sfile>:p:h/c.vim
+else
+  runtime! syntax/c.vim
+  unlet b:current_syntax
+endif
+
+" C++ extensions
+syn keyword cppStatement	new delete this friend using
+syn keyword cppAccess		public protected private
+syn keyword cppType		inline virtual explicit export bool wchar_t
+syn keyword cppExceptions	throw try catch
+syn keyword cppOperator		operator typeid
+syn keyword cppOperator		and bitor or xor compl bitand and_eq or_eq xor_eq not not_eq
+syn match cppCast		"\<\(const\|static\|dynamic\|reinterpret\)_cast\s*<"me=e-1
+syn match cppCast		"\<\(const\|static\|dynamic\|reinterpret\)_cast\s*$"
+syn keyword cppStorageClass	mutable
+syn keyword cppStructure	class typename template namespace
+syn keyword cppBoolean		true false
+
+" C++ 11 extensions
+if !exists("cpp_no_cpp11")
+  syn keyword cppType		override final
+  syn keyword cppExceptions	noexcept
+  syn keyword cppStorageClass	constexpr decltype
+  syn keyword cppConstant	nullptr
+endif
+
+" The minimum and maximum operators in GNU C++
+syn match cppMinMax "[<>]?"
+
+" Default highlighting
+if version >= 508 || !exists("did_cpp_syntax_inits")
+  if version < 508
+    let did_cpp_syntax_inits = 1
+    command -nargs=+ HiLink hi link <args>
+  else
+    command -nargs=+ HiLink hi def link <args>
+  endif
+  HiLink cppAccess		cppStatement
+  HiLink cppCast		cppStatement
+  HiLink cppExceptions		Exception
+  HiLink cppOperator		Operator
+  HiLink cppStatement		Statement
+  HiLink cppType		Type
+  HiLink cppStorageClass	StorageClass
+  HiLink cppStructure		Structure
+  HiLink cppBoolean		Boolean
+  HiLink cppConstant		Constant
+  delcommand HiLink
+endif
+
+let b:current_syntax = "cpp"
+
+" vim: ts=8

.vim/bundle/fastfileselector/.git/FETCH_HEAD

-fd1c63194511fd63da15cd0ad77e0303223e3bfb		branch 'master' of https://bitbucket.org/madevgeny/fastfileselector
+f59f5e3a3f31d3707f95c020c989d220d1f1b002		branch 'master' of https://bitbucket.org/madevgeny/fastfileselector

.vim/bundle/fastfileselector/.git/ORIG_HEAD

-545ab5afc159d3ad473feff7fe3e90595d74bed0
+13e5b051ee2ecd3f990ed9f7b14cf62f34098343

.vim/bundle/fastfileselector/.git/index

Binary file modified.

.vim/bundle/fastfileselector/.git/logs/HEAD

 fd1c63194511fd63da15cd0ad77e0303223e3bfb 6bfcd8e9c69fe3ac6ab1e060f03285effbc15db7 evgeny <evgeny.podjachev@gmail.com> 1351534112 +0400	commit: Repaired plugin.
 6bfcd8e9c69fe3ac6ab1e060f03285effbc15db7 57989e919cd5a9fe9aa3af8f809368a8c63feecd evgeny <evgeny.podjachev@gmail.com> 1351535894 +0400	commit: Fixed case sensitive search.
 57989e919cd5a9fe9aa3af8f809368a8c63feecd 13e5b051ee2ecd3f990ed9f7b14cf62f34098343 evgeny <evgeny.podjachev@gmail.com> 1351538532 +0400	commit: Fixed opening files with spaces in path.
+13e5b051ee2ecd3f990ed9f7b14cf62f34098343 f59f5e3a3f31d3707f95c020c989d220d1f1b002 evgeny <evgeny.podjachev@gmail.com> 1352098275 +0400	pull: Fast-forward

.vim/bundle/fastfileselector/.git/logs/refs/heads/master

 fd1c63194511fd63da15cd0ad77e0303223e3bfb 6bfcd8e9c69fe3ac6ab1e060f03285effbc15db7 evgeny <evgeny.podjachev@gmail.com> 1351534112 +0400	commit: Repaired plugin.
 6bfcd8e9c69fe3ac6ab1e060f03285effbc15db7 57989e919cd5a9fe9aa3af8f809368a8c63feecd evgeny <evgeny.podjachev@gmail.com> 1351535894 +0400	commit: Fixed case sensitive search.
 57989e919cd5a9fe9aa3af8f809368a8c63feecd 13e5b051ee2ecd3f990ed9f7b14cf62f34098343 evgeny <evgeny.podjachev@gmail.com> 1351538532 +0400	commit: Fixed opening files with spaces in path.
+13e5b051ee2ecd3f990ed9f7b14cf62f34098343 f59f5e3a3f31d3707f95c020c989d220d1f1b002 evgeny <evgeny.podjachev@gmail.com> 1352098275 +0400	pull: Fast-forward

.vim/bundle/fastfileselector/.git/logs/refs/remotes/origin/master

 2e2f1aab259b9415474e6b9208461957a9d08624 545ab5afc159d3ad473feff7fe3e90595d74bed0 evgeny <evgeny@localhost.(none)> 1349428358 +0400	pull: fast-forward
 545ab5afc159d3ad473feff7fe3e90595d74bed0 fd1c63194511fd63da15cd0ad77e0303223e3bfb Evgeny Podjachev <evgeny@linux-dzvi.(none)> 1351527948 +0400	pull: fast-forward
 fd1c63194511fd63da15cd0ad77e0303223e3bfb 13e5b051ee2ecd3f990ed9f7b14cf62f34098343 evgeny <evgeny.podjachev@gmail.com> 1351538590 +0400	update by push
+13e5b051ee2ecd3f990ed9f7b14cf62f34098343 f59f5e3a3f31d3707f95c020c989d220d1f1b002 Evgeny Podjachev <evgeny@linux-dzvi.(none)> 1352098219 +0400	pull: fast-forward

.vim/bundle/fastfileselector/.git/objects/03/a7f6a3999c6625816e4502dcce15324da502cb

Binary file added.

.vim/bundle/fastfileselector/.git/objects/0a/91de80e0786998ad6d5a815a1855d2fb43e4f9

Binary file added.

.vim/bundle/fastfileselector/.git/objects/2f/5d3668af806d2db5cb118a143cad239a67aed4

Binary file added.

.vim/bundle/fastfileselector/.git/objects/36/09d7e9eb78bc62cfcc03137fce48fdfe73be43

Binary file added.

.vim/bundle/fastfileselector/.git/objects/4d/7b766f9fce3d320282ee63d6341e05de2fa7e9

+x��An� s�+�C$
+/L0�ԶJ�'�|:G�1F�]�_/��q��k}bL۸߫�6�h��$8n���8�r�ֱF�	��3Dp�����'���#R.m�1n�

.vim/bundle/fastfileselector/.git/objects/5c/be0414b5fde22545ba5e8e7bb989afb0d65658

Binary file added.

.vim/bundle/fastfileselector/.git/objects/94/db4a6f0b48686391492126c717b019ada0d491

Binary file added.

.vim/bundle/fastfileselector/.git/objects/c8/453c61bc03b7e175c4520833cde0c28dac25dd

Binary file added.

.vim/bundle/fastfileselector/.git/objects/cd/986c27fe21d6982ecbbd1fa820c32c0cb0300a

Binary file added.

.vim/bundle/fastfileselector/.git/objects/e6/05c43705bab5d23bdda88e47638dab7bcfe1cc

Binary file added.

.vim/bundle/fastfileselector/.git/objects/ee/ee30fb3c130902e15c3df5db861398a15b4461

Binary file added.

.vim/bundle/fastfileselector/.git/objects/f5/9f5e3a3f31d3707f95c020c989d220d1f1b002

Binary file added.

.vim/bundle/fastfileselector/.git/refs/heads/master

-13e5b051ee2ecd3f990ed9f7b14cf62f34098343
+f59f5e3a3f31d3707f95c020c989d220d1f1b002

.vim/bundle/fastfileselector/.git/refs/remotes/origin/master

-13e5b051ee2ecd3f990ed9f7b14cf62f34098343
+f59f5e3a3f31d3707f95c020c989d220d1f1b002

.vim/bundle/fastfileselector/.git/refs/tags/0.2.3

+3609d7e9eb78bc62cfcc03137fce48fdfe73be43

.vim/bundle/fastfileselector/plugin/fastfileselector.vim

 "
 " Usage:		Command :FFS toggles visibility of fast file selector buffer.
 " 				Parameter g:FFS_window_height sets height of search buffer. Default = 15.
-" 				Parameter g:FFS_ignore_list sets list of dirs/files to ignore use Unix shell-style wildcards. Default = ['.*', '*.bak', '~*', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.so', '*.pyc', 'CMakeFiles'].
+" 				Parameter g:FFS_ignore_list sets list of dirs/files to ignore use Unix shell-style wildcards. Default = ['.*', '*.bak', '~*', '*~', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.so', '*.pyc', 'CMakeFiles'].
 "				Parameter g:FFS_ignore_case, if set letters case will be ignored during search. On windows default = 1, on unix default = 0.
 "				Parameter g:FFS_history_size sets the maximum number of
 " 				stored search queries in history. Default = 10.
+" 				Parameter g:FFS_be_silent_on_python_lack, if set error message
+" 				on absence python support will be suppressed.
 "
 " 				To get queries history press <Ctrl-H> in insert or normal mode in
 " 				search string. Autocompletion using history also works by
 " 				<Ctrl-X><Ctrl-U>.
 "
-" Version:		0.2.3
+" Version:		0.3.0
 "
-" ChangeLog:	0.2.3:	Fixed opening files with spaces in path.
+" ChangeLog:	0.3.0:	Fixed issue with TabBar plugin.
+"						Added parameter g:FFS_be_silent_on_python_lack to suppress error message if vim doesn't have python support.
+"
+"				0.2.3:	Fixed opening files with spaces in path.
 "						Fixed case sensitive search.
 "						Removed fastfileselector buffer from buffers list.
 "
 
 " Check to make sure the Vim version 700 or greater.
 if v:version < 700
-  echo "Sorry, FastFileSelector only runs with Vim 7.0 and greater"
+  echo "Sorry, FastFileSelector only runs with Vim 7.0 and greater."
   finish
 endif
 
 if !has('python')
-    echo "Error: Required vim compiled with +python"
+	if !exists("g:FFS_be_silent_on_python_lack") || !g:FFS_be_silent_on_python_lack
+	    echo "Error: Required vim compiled with +python, to suppress this message set variable g:FFS_be_silent_on_python_lack."
+	endif
     finish
 endif
 
 endif
 
 if !exists("g:FFS_ignore_list")
-	let g:FFS_ignore_list = ['.*', '*.bak', '~*', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.suo', '*.sdf', '*.exp', '*.so', '*.pyc', 'CMakeFiles']
+	let g:FFS_ignore_list = ['.*', '*.bak', '~*', '*~', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.suo', '*.sdf', '*.exp', '*.so', '*.pyc', 'CMakeFiles']
 endif
 
 if !exists("s:file_list")
 		call insert(s:ffs_history,s:user_line)
 	endif
 
-	exe ':wincmd p'
+	call <SID>GoToPrevWindow()
+	
 	exe ':'.s:tm_winnr.'bd!'
 	let s:tm_winnr=-1
 	exe ':e '.substitute(str, " ", "\\\\ ", "g")
 	return ''
 endfun
 
+" This function is taken from NERD_tree.vim
+fun <SID>FirstUsableWindow()
+	let i = 1
+	while i <= winnr("$")
+		let bnum = winbufnr(i)
+		if bnum != -1 && getbufvar(bnum, '&buftype') ==# ''
+					\ && !getwinvar(i, '&previewwindow')
+					\ && (!getbufvar(bnum, '&modified') || &hidden)
+			return i
+		endif
+
+		let i += 1
+	endwhile
+	return -1
+endfun
+
+" This function is taken from NERD_tree.vim
+fun <SID>IsWindowUsable(winnumber)
+	"gotta split if theres only one window (i.e. the NERD tree)
+	if winnr("$") ==# 1
+		return 0
+	endif
+
+	let oldwinnr = winnr()
+	exe a:winnumber . "wincmd p"
+	let specialWindow = getbufvar("%", '&buftype') != '' || getwinvar('%', '&previewwindow')
+	let modified = &modified
+	exe oldwinnr . "wincmd p"
+
+	"if its a special window e.g. quickfix or another explorer plugin then we
+	"have to split
+	if specialWindow
+		return 0
+	endif
+
+	if &hidden
+		return 1
+	endif
+
+	return !modified || <SID>BufInWindows(winbufnr(a:winnumber)) >= 2
+endfun
+
+" This function is taken from NERD_tree.vim
+fun <SID>BufInWindows(bnum)
+	let cnt = 0
+	let winnum = 1
+	while 1
+		let bufnum = winbufnr(winnum)
+		if bufnum < 0
+			break
+		endif
+		if bufnum ==# a:bnum
+			let cnt = cnt + 1
+		endif
+		let winnum = winnum + 1
+	endwhile
+
+	return cnt
+endfun
+
+" This function is taken from NERD_tree.vim
+fun <SID>GoToPrevWindow()
+	if !<SID>IsWindowUsable(winnr("#"))
+		exe <SID>FirstUsableWindow() . "wincmd w"
+	else
+		exe 'wincmd p'
+	endif
+endfun
 fun! <SID>ToggleFastFileSelectorBuffer()
 	if !exists("s:tm_winnr") || s:tm_winnr==-1
 		exe "bo".g:FFS_window_height."sp FastFileSelector"

.vim/bundle/nerdtree/.git/FETCH_HEAD

-3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6		branch 'master' of https://github.com/scrooloose/nerdtree
+22de74a45bf0c2b07ec149da215526a8516c24d2		branch 'master' of https://github.com/scrooloose/nerdtree
 57ccede2509ed5c421cc7baacc9fade973069cd6	not-for-merge	branch 'refactor-open' of https://github.com/scrooloose/nerdtree

.vim/bundle/nerdtree/.git/ORIG_HEAD

-bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5
+22de74a45bf0c2b07ec149da215526a8516c24d2

.vim/bundle/nerdtree/.git/index

Binary file modified.

.vim/bundle/nerdtree/.git/logs/HEAD

 dbeb1947ea986d7cda460f12962cdef5196ef87d a1433c485eb254838c1db52e087d5ec4d1e77cfd evgeny <evgeny.podjachev@gmail.com> 1344853208 +0400	pull: Fast-forward
 a1433c485eb254838c1db52e087d5ec4d1e77cfd bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 evgeny <evgeny.podjachev@gmail.com> 1349428338 +0400	pull: Fast-forward
 bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 evgeny <evgeny.podjachev@gmail.com> 1351527917 +0400	pull: Fast-forward
+3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 22de74a45bf0c2b07ec149da215526a8516c24d2 evgeny <evgeny.podjachev@gmail.com> 1352029644 +0400	pull: Fast-forward

.vim/bundle/nerdtree/.git/logs/refs/heads/master

 dbeb1947ea986d7cda460f12962cdef5196ef87d a1433c485eb254838c1db52e087d5ec4d1e77cfd evgeny <evgeny.podjachev@gmail.com> 1344853208 +0400	pull: Fast-forward
 a1433c485eb254838c1db52e087d5ec4d1e77cfd bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 evgeny <evgeny.podjachev@gmail.com> 1349428338 +0400	pull: Fast-forward
 bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 evgeny <evgeny.podjachev@gmail.com> 1351527917 +0400	pull: Fast-forward
+3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 22de74a45bf0c2b07ec149da215526a8516c24d2 evgeny <evgeny.podjachev@gmail.com> 1352029644 +0400	pull: Fast-forward

.vim/bundle/nerdtree/.git/logs/refs/remotes/origin/master

 dbeb1947ea986d7cda460f12962cdef5196ef87d a1433c485eb254838c1db52e087d5ec4d1e77cfd unknown <podjachev@Evgeny2.eagle.ru> 1344853208 +0400	pull: fast-forward
 a1433c485eb254838c1db52e087d5ec4d1e77cfd bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 evgeny <evgeny@localhost.(none)> 1349428338 +0400	pull: fast-forward
 bf79e223aefe0665bcc62b5dcc4c2c23c6f23fc5 3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 Evgeny Podjachev <evgeny@linux-dzvi.(none)> 1351527917 +0400	pull: fast-forward
+3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6 22de74a45bf0c2b07ec149da215526a8516c24d2 Evgeny Podjachev <evgeny@linux-dzvi.(none)> 1352029644 +0400	pull: fast-forward

.vim/bundle/nerdtree/.git/objects/16/268c9c21511ae1d2dcbc306266bb2daab49248

Binary file added.

.vim/bundle/nerdtree/.git/objects/22/de74a45bf0c2b07ec149da215526a8516c24d2

Binary file added.

.vim/bundle/nerdtree/.git/objects/72/b161a8c54cd7a02b1e9065878532666185f4a6

Binary file added.

.vim/bundle/nerdtree/.git/objects/8e/7d3f566d929cbc8a6757aff9fa821ccbb0b2bc

Binary file added.

.vim/bundle/nerdtree/.git/objects/ad/1669f725d5ac61e50844089daab5fa7fa543e1

Binary file added.

.vim/bundle/nerdtree/.git/refs/heads/master

-3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6
+22de74a45bf0c2b07ec149da215526a8516c24d2

.vim/bundle/nerdtree/.git/refs/remotes/origin/master

-3e44d4ea5c3d8cfa192e66c77afd05629ddc92e6
+22de74a45bf0c2b07ec149da215526a8516c24d2

.vim/bundle/nerdtree/plugin/NERD_tree.vim

     "get an array of all the files in the nodes dir
     let dir = self.path
     let globDir = dir.str({'format': 'Glob'})
-    let filesStr = globpath(globDir, '*',1) . "\n" . globpath(globDir, '.*',1)
+
+    if version >= 703
+        let filesStr = globpath(globDir, '*', 1) . "\n" . globpath(globDir, '.*', 1)
+    else
+        let filesStr = globpath(globDir, '*') . "\n" . globpath(globDir, '.*')
+    endif
+
     let files = split(filesStr, "\n")
 
     if !a:silent && len(files) > g:NERDTreeNotificationThreshold

.vim/bundle/syntastic/.git/FETCH_HEAD

-714b2b19cd2745157e85e2dc193d85891c7ee9ca		branch 'master' of https://github.com/scrooloose/syntastic
+fd173f1c9118791c2d466fbd3ae62cb42004fb5d		branch 'master' of https://github.com/scrooloose/syntastic

.vim/bundle/syntastic/.git/ORIG_HEAD

-2e7d73305b70a456abb20b1754e094cccfefa3d3
+fd173f1c9118791c2d466fbd3ae62cb42004fb5d

.vim/bundle/syntastic/.git/index

Binary file modified.

.vim/bundle/syntastic/.git/logs/HEAD

 e5dfcc3488e407c8e28b308cb6e631336e77d060 c14e8751a15ccee08a2c3c1e063647308cd16071 evgeny <evgeny.podjachev@gmail.com> 1349083184 +0400	pull: Fast-forward
 c14e8751a15ccee08a2c3c1e063647308cd16071 2e7d73305b70a456abb20b1754e094cccfefa3d3 evgeny <evgeny.podjachev@gmail.com> 1349428342 +0400	pull: Fast-forward
 2e7d73305b70a456abb20b1754e094cccfefa3d3 714b2b19cd2745157e85e2dc193d85891c7ee9ca evgeny <evgeny.podjachev@gmail.com> 1351527924 +0400	pull: Fast-forward